/*
 * VGA-specific display-related functions.
 *
 * Copyright (C) 2018 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __DISPLAY_VGA_H__
#define __DISPLAY_VGA_H__

#include "display.h"

uint8_t framebuffer[SCREEN_SIZE];

display_config_t display_config = {
    .framebuffer = framebuffer,
    .screen_size = SCREEN_SIZE,
    .line_length = LINE_LENGTH,
    .line_count = LINE_COUNT,
    .line_multiplier = LINE_MULTIPLIER,
    .cell_size = CELL_SIZE,
    .screen_start = framebuffer,
    .screen_limit = framebuffer + SCREEN_SIZE,
    };

#endif /* __DISPLAY_VGA_H__ */
